<!-- -*- mode: markdown; mode: flyspell -*- -->
# Changelog (ldifusermgmt)

## [0.1.92] - 2019-10-03
### Changed
* fixed ldifuseradd -a

## [0.1.91] - 2019-09-30
### Changed
* more code cleanups

## [0.1.90] - 2019-09-30
### Changed
* new Makefile
* changed CHANGELOG to markdown
* code cleanup to make shellcheck happy
### Removed
- ldifuseraddlist (obsoleted by ldapuseradd)

## [0.1.5] - 2015-09-26
### Changed
* fixed typos
* ldifgruopadd can add extra ldap data with -L
* ldifuseradd now can add extra ldap user data with -L

## [0.1.2] - 2012-03-16
### Changed
* ldifuseraddlist mkpasswd does not use evil chars

## [0.1.1] - 2012-03-05
### Changed
* fixed bug when autogenerating passwords in ldifuseraddlist

## [0.1.0] - 2011-10-13
### Changed
* fixed one missing SAMBA_DOMAIN_SID in ldifgroupadd
* fixed handling of group description
* works on three locations now, called it 0.1.0

## [0.0.99] - 2011-10-12
### Added
+ added support for non user primary groups to ldifuseraddlist
### Changed
* fixed generation of create-script in case of custom primary group
* changed chowns in create-script to gid numbers
* fixed SAMBA_DOMAIN_SID defaults variable name in ldifgroupadd

## [0.0.98] - 2011-10-06
### Changed
* fixed default csv indices
* fixed argument passing bug when calling create_user

## [0.0.97] - 2011-10-02
### Changed
* '/' in autofs homedir path is removed in nisMapName

## [0.0.96] - 2011-10-02
### Added
+ added custom indices support
+ added password column to input file

## [0.0.95] - 2011-09-22
### Added
+ added AUTOFS_SUFFIX to defaults example
+ added warning in ldifgenstruct if nothing is do print

## [0.0.94] - 2011-09-22
### Changed
* fixed samba genstruct generation

## [0.0.93] - 2011-09-22
### Added
+ genstruct now honors AUTOFS_SUFFIX

## [0.0.92] - 2010-03-02
### Added
+ enhanced unix homedir generation when using autofs:
  in case nisMapName does not start with / it will be prepended

## [0.0.91] - 2010-03-01
### Changed
* fixed AUTOFS_SUFFIX bug

## [0.0.90] - 2010-02-19
### Added
+ removed automount / hack (can't verify now if that was ever useful)
+ added AUTOFS_SUFFIX
### Changed
* worked stable now for a view years so i decided that i will
  release it as 0.1.0 with the modifications below (traraa!)
  after some tests

## [0.0.8] - 2007-10-11
### Added
+ added generation of csv file for pw data

## [0.0.7] - 2006-12-08
### Changed
* ldapuseraddlist: fixed pw output numbering

## [0.0.6] - 2006-10-09
### Added
+ added automount / hack (ldifuseradd -A option)

## [0.0.5] - 2006-10-04
### Changed
* fixed unix homedir path in case of autofs

## [0.0.4] - 2006-10-04
### Changed
* cleanup error messages
* fixed config file names

## [0.0.3] - 2006-10-04
### Added
+ added useraddlist

## [0.0.2] - 2006-10-02
### Changed
* cleanups

## [0.0.1] - 2006-10-02
### Added
+ first public release
